Exchanges List with Volume
curl --request GET \
--url https://api.cryptorank.io/v3/exchanges/list \
--header 'X-Api-Key: <api-key>'import requests
url = "https://api.cryptorank.io/v3/exchanges/list"
headers = {"X-Api-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-Api-Key': '<api-key>'}};
fetch('https://api.cryptorank.io/v3/exchanges/list', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"id": 1,
"slug": "binance",
"name": "Binance",
"type": "cex-spot",
"imageUrl": "https://images.cryptorank.io/exchanges/150x150.binance.png",
"adjustedVolume24h": "12345678901",
"reportedVolume24h": "23456789012",
"pairsCount": 1820,
"currenciesCount": 350
}
],
"meta": {
"page": 1,
"pageSize": 25,
"hasNextPage": true
},
"status": {
"usedCredits": 1,
"timestamp": 1780000000000
}
}{
"error": {
"code": "VALIDATION_ERROR",
"message": "Validation failed",
"status": 400
}
}{
"error": {
"code": "API_KEY_MISSING",
"message": "API key is missing",
"status": 401
}
}{
"error": {
"code": "NO_ACTIVE_SUBSCRIPTION",
"message": "No active subscription found",
"status": 403
}
}{
"error": {
"code": "RATE_LIMIT_EXCEEDED",
"message": "Rate limit exceeded",
"status": 429
}
}{
"error": {
"code": "INTERNAL_ERROR",
"message": "Internal server error",
"status": 500
}
}Exchanges
Exchanges List with Volume
Exchanges with key profile fields and 24h trading volumes.
Available from: Basic
Cost: 1 credit per request
GET
/
v3
/
exchanges
/
list
Exchanges List with Volume
Authorizations
Query Parameters
Page number (1-based). Returns up to 100 items per page.
Required range:
1 <= x <= 1000Filter by exchange type.
Available options:
cex-spot, cex-derivatives, dex-spot, dex-derivatives, all Sort field.
Available options:
id, adjustedVolume24h, reportedVolume24h, name Sort direction.
Available options:
asc, desc ⌘I